Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::intersperse_fn Struct Reference
Views

## Synopsis of methods
constexpr view< intersperse_fn > | intersperse {}

## Public Member Functions
template<typename Rng >
constexpr auto | operator() (Rng &&rng, range_value_t< Rng > val) const -> intersperse_view< all_t< Rng >> requires ViewableRange< Rng > &&InputRange< Rng > &&ConvertibleTo< range_reference_t< Rng >, range_value_t< Rng >> &&Semiregular< range_value_t< Rng >>